/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-09-23
 * 描述            ：二级接口-宝信罩退炉-L2应答L3计划信息电文
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.anneal.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.anneal.mapper.IfBaf01L2AswL3PlanMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_BAF01_L2_ASW_L3_PLAN", namespace=IfBaf01L2AswL3PlanMapper.class)
public class IfBaf01L2AswL3Plan extends BaseVO implements Serializable {
	/** 
	 * 消息时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date msg_time;
	public Date getMsg_time() {
		return this.msg_time;
	}
	public void setMsg_time(Date msg_time) {
		this.msg_time = msg_time;
	}

	/** 
	 * 计划号
	 */ 
	@Column
	private String plan_no;
	public String getPlan_no() {
		return this.plan_no;
	}
	public void setPlan_no(String plan_no) {
		this.plan_no = plan_no;
	}

	/** 
	 * 序号
	 */ 
	@Column
	private Long seq_no;
	public Long getSeq_no() {
		return this.seq_no;
	}
	public void setSeq_no(Long seq_no) {
		this.seq_no = seq_no;
	}

	/** 
	 * 机组代码（区分厂家：艾伯纳、中冶南方、宝信）
	 */ 
	@Column
	private String unit_code;
	public String getUnit_code() {
		return this.unit_code;
	}
	public void setUnit_code(String unit_code) {
		this.unit_code = unit_code;
	}

	/** 
	 * 入口钢卷号
	 */ 
	@Column
	private String in_mat_no;
	public String getIn_mat_no() {
		return this.in_mat_no;
	}
	public void setIn_mat_no(String in_mat_no) {
		this.in_mat_no = in_mat_no;
	}

	/** 
	 * 操作标识（1：新增、2：撤销）  ---重要
	 */ 
	@Column
	private String flg;
	public String getFlg() {
		return this.flg;
	}
	public void setFlg(String flg) {
		this.flg = flg;
	}

	/** 
	 * 处理标志（0：成功、1：不成功）--重要
	 */ 
	@Column
	private String flag;
	public String getFlag() {
		return this.flag;
	}
	public void setFlag(String flag) {
		this.flag = flag;
	}

	/** 
	 * 处理结果（异常处理原因描述）
	 */ 
	@Column
	private String deal_result;
	public String getDeal_result() {
		return this.deal_result;
	}
	public void setDeal_result(String deal_result) {
		this.deal_result = deal_result;
	}

}
